Get Edge

Get the consolidated detail read model for a specific Edge appliance.

Args: edge_id: The unique identifier of the Edge appliance

Returns: EdgeDto: Detailed information about the Edge appliance

SecurityHTTPBearer
Request
path Parameters
edge_id
required
string <uuid> (Edge Id)
Responses
200

Edge appliance retrieved successfully

401

Not authenticated

403

Insufficient permissions

404

Resource not found

409

Resource state conflict

422

Invalid input data

500

Internal server error

get/edges/{edge_id}
Request samples
Response samples
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "description": "string",
  • "type": "Edge",
  • "services": {
    },
  • "serial": "53a73609-0857-4a03-9aa9-3823eb707faa",
  • "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366",
  • "synced": false,
  • "is_reachable": false,
  • "last_seen_at": "2019-08-24T14:15:22Z",
  • "owned_volumes": 0,
  • "remotely_connected_volumes": 0,
  • "volumes": {
    },
  • "build": {
    },
  • "machine": {
    },
  • "ipaddress": "string",
  • "hostname": "string",
  • "uptime_seconds": 0,
  • "health_status": { },
  • "location": "string",
  • "last_config_backup_date": "string",
  • "reported_account_max_now_storage": 0,
  • "reported_account_current_now_storage": 0,
  • "ds_type": "string",
  • "system": {
    },
  • "tasks": [
    ]
}
Copyright © 2025 Nasuni Corporation. All rights reserved.